/* FMSel is free software; you can redistribute it and/or modify
 * it under the terms of the FLTK License.
 *
 * FMSel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * FLTK License for more details.
 *
 * You should have received a copy of the FLTK License along with
 * FMSel.
 */

// XPM images/icons (mostly exported from GIMP)

static const char *star_xpm[] =
{
	"15 15 6 1",
	"o c #ffff00",
	"* c #ffb400",
	"X c #ad7b34",
	"# c #99601c",
	"@ c #904c19",
	"+ c none",
	// pixels
	"+++++++@+++++++",
	"++++++@o@++++++",
	"+++++@o*o@+++++",
	"+++++@o*o@+++++",
	"+++@@o*X*o@@+++",
	"+@@oo*XoX*oo@@+",
	"@ooXXXoooXXXoo@",
	"+@o*XoooooX*o@+",
	"++@oXoo#ooXo@++",
	"++@oXo#o#oXo@++",
	"+++@o#o@o#o@+++",
	"+++@oo@+@oo@+++",
	"+++@o@+++@o@+++",
	"+++@@+++++@@+++",
	"+++@+++++++@+++",
	NULL
};

static const char *starhalf_xpm[] =
{
	"15 15 11 1",
	"o c #ffff00",
	"* c #ffb400",
	"X c #ad7b34",
	"# c #99601c",
	"@ c #904c19",
	"1 c #e4e4e4",
	"2 c #e4e4e4",
	"3 c #d7d7d7",
	"4 c #bdbdbd",
	"5 c #b5b5b5",
	"+ c none",
	// pixels
	"+++++++@+++++++",
	"++++++@X5++++++",
	"+++++@oX15+++++",
	"+++++@oX15+++++",
	"+++@@o*X2155+++",
	"+@@oo*XX321155+",
	"@ooXXXoX+333115",
	"+@o*XooX++3215+",
	"++@oXooX++315++",
	"++@oXo#X4+315++",
	"+++@o#o@1415+++",
	"+++@oo@+5115+++",
	"+++@o@+++515+++",
	"+++@@+++++55+++",
	"+++@+++++++5+++",
	NULL
};

static const char *stargray_xpm[] =
{
	"15 15 6 1",
	"1 c #e4e4e4",
	"2 c #e4e4e4",
	"3 c #d7d7d7",
	"4 c #bdbdbd",
	"5 c #b5b5b5",
	"+ c none",
	// pixels
	"+++++++5+++++++",
	"++++++515++++++",
	"+++++51215+++++",
	"+++++51215+++++",
	"+++551232155+++",
	"+551123+321155+",
	"511333+++333115",
	"+5123+++++3215+",
	"++513++4++315++",
	"++513+414+315++",
	"+++514151415+++",
	"+++5115+5115+++",
	"+++515+++515+++",
	"+++55+++++55+++",
	"+++5+++++++5+++",
	NULL
};

static const char *check_xpm[] =
{
	"24 20 7 1",
	" 	c none",
	".	c #7F7F7F",
	"+	c #C1F7BD",
	"@	c #0BAC00",
	"#	c #5ACA52",
	"$	c #1B5F17",
	"%	c #000000",
	"                    .   ",
	"                   .+.  ",
	"                  .+@#. ",
	"                 .+@@@$%",
	"                .+@@@$% ",
	"               .+@@@$%  ",
	"   .          .+@@@$%   ",
	"  .+.        .+@@@$%    ",
	" .+@#.      .+@@@$%     ",
	".+@@@#.    .+@@@$%      ",
	"%$@@@@#.  .+@@@$%       ",
	" %$@@@@#..+@@@$%        ",
	"  %$@@@@#+@@@$%         ",
	"   %$@@@@@@@$%          ",
	"    %$@@@@@$%           ",
	"     %$@@@$%            ",
	"      %$@$%             ",
	"       %$%              ",
	"        %               ",
	"                        "
};

static const char *progress_xpm[] =
{
	"24 20 8 1",
	" 	c none",
	".	c #7F7F7F",
	"+	c #FFBA00",
	"@	c #FFCB98",
	"#	c #FFFFFF",
	"$	c #EB7A0B",
	"%	c #000000",
	"&	c #4C4C4C",
	"            ..          ",
	"           .++.         ",
	"         ...+++.        ",
	"       ..+++++++.       ",
	"      .+++@@@@@#@.      ",
	"     .++@+$$$$$$%       ",
	"     .+@$%%%$$$%        ",
	"    .+@$%  .$$%         ",
	"    .+@$%   %%          ",
	"   .+@$%         .      ",
	"   .+#$%        .+%     ",
	"   .+++%       .+#$%    ",
	"    %$+$.      .+++%    ",
	"    %$++.      .+@$%    ",
	"     %$++..  ..+@$%     ",
	"     %$$+++..++@$$%     ",
	"      %$$$++++@$$%      ",
	"       %%$$@@$$%%       ",
	"         %%$$%%         ",
	"           &&           "
};

static const char *prio1_xpm[] =
{
	"15 16 7 1",
	" 	c none",
	".	c #7F7F7F",
	"+	c #D8C334",
	"@	c #CF7307",
	"#	c #FF8125",
	"$	c #9C4C11",
	"%	c #000000",
	"               ",
	"               ",
	"               ",
	"       .       ",
	"      .+.      ",
	"     .+@#.     ",
	"    .+@@@#.    ",
	"   .+@@$@@#.   ",
	"  .+@@$%$@@#.  ",
	" .+@@$% %$@@#. ",
	" .+$$%   %$$#. ",
	" .%%%     %%%. ",
	"               ",
	"               ",
	"               ",
	"               "
};

static const char *prio2_xpm[] =
{
	"15 16 7 1",
	" 	c none",
	".	c #7F7F7F",
	"+	c #FFABAB",
	"@	c #E80000",
	"#	c #BF4D4D",
	"$	c #8B0707",
	"%	c #000000",
	"       .       ",
	"      .+.      ",
	"     .+@#.     ",
	"    .+@@@#.    ",
	"   .+@@$@@#.   ",
	"  .+@@$%$@@#.  ",
	" .+@@$% %$@@#. ",
	" .+$$% . %$$#. ",
	" .%%% .+. %%%. ",
	"     .+@#.     ",
	"    .+@@@#.    ",
	"   .+@@$@@#.   ",
	"  .+@@$%$@@#.  ",
	" .+@@$% %$@@#. ",
	" .+$$%   %$$#. ",
	" .%%%     %%%. "
};

static const char *prio3_xpm[] =
{
	"15 16 8 1",
	" 	c none",
	".	c #7F7F7F",
	"+	c #FFFFFF",
	"@	c #FF9773",
	"#	c #FF4200",
	"$	c #BE3100",
	"%	c #000000",
	"&	c #FF8E67",
	"      ...      ",
	"     .+@#.     ",
	"     .@##.     ",
	"     .##$.     ",
	"     .##$.     ",
	"      .#%      ",
	"      .#%      ",
	"      .#%      ",
	"      .#%      ",
	"      .%%      ",
	"               ",
	"      .$.      ",
	"     .+&$.     ",
	"     $&##$     ",
	"     .$#$%     ",
	"      %$%      "
};

static const char *notondisk_xpm[] =
{
	"24 14 10 1",
	" 	c none",
	".	c #808080",
	"+	c #C0C0C0",
	"@	c #000000",
	"#	c #FE8E8E",
	"$	c #FF0000",
	"%	c #B90000",
	"&	c #FFFFFF",
	"*	c #00FF00",
	"=	c #008000",
	"   .................... ",
	"  .+++++++++++++++++++.@",
	" .+++#$%+++++#$%+++++..@",
	".&&&&&#$%&&&#$%&&&&&...@",
	".&+++++#$%+#$%++***+...@",
	".&++++++#$#$%+++===+...@",
	".&+++++++#$%++++++++...@",
	".&+.....#$#$%......+...@",
	".&+&&&&#$%&#$%&&&&&+...@",
	".&+...#$%...#$%....+...@",
	".&+&&#$%&&&&&#$%&&&+...@",
	".&++++++++++++++++++...@",
	"......................@ ",
	" @@@@@@@@@@@@@@@@@@@@@  "
};

static const char *archive_xpm[] =
{
	"17 18 13 1",
	" 	c none",
	".	c #808080",
	"+	c #AEEBFF",
	"@	c #5DCDF2",
	"#	c #3295B5",
	"$	c #000000",
	"%	c #D0CECE",
	"&	c #FBF19A",
	"*	c #B4A100",
	"=	c #FFFFFF",
	"-	c #FFE400",
	";	c #39A4C6",
	">	c #286F86",
	"     ........... ",
	"    .+@@##@#####.",
	"     .@@@@@$$$$+$",
	"  ....$$$$$$..%+$",
	" .&&&&******$$.+$",
	" ..........%*$.+$",
	".==========$*$.+$",
	".&---..---*$*$.+$",
	".&---&&---*$*$.+$",
	"...........$*$.+$",
	".==========$*$.+$",
	".&---..---*$*$.+$",
	".&---&&---*$$ .@$",
	" $$$$$$$$$$ ..@+$",
	"     .+@@@@;++#@$",
	"    .+@@##@+>>$+$",
	"     $$$$$$$  $#$",
	"               $$"
};

static const char *archive_installed_xpm[] =
{
	"17 18 13 1",
	" 	c none",
	".	c #D9D9D9",
	"+	c #EEF5F8",
	"@	c #DBE9ED",
	"#	c #CDD9DD",
	"$	c #B2B2B2",
	"%	c #F0F0F0",
	"&	c #F5F4E9",
	"*	c #D8D6C2",
	"=	c #FFFFFF",
	"-	c #E8E5C9",
	";	c #D0DDE1",
	">	c #C6CFD1",
	"     ........... ",
	"    .+@@##@#####.",
	"     .@@@@@$$$$+$",
	"  ....$$$$$$..%+$",
	" .&&&&******$$.+$",
	" ..........%*$.+$",
	".==========$*$.+$",
	".&---..---*$*$.+$",
	".&---&&---*$*$.+$",
	"...........$*$.+$",
	".==========$*$.+$",
	".&---..---*$*$.+$",
	".&---&&---*$$ .@$",
	" $$$$$$$$$$ ..@+$",
	"     .+@@@@;++#@$",
	"    .+@@##@+>>$+$",
	"     $$$$$$$  $#$",
	"               $$"
};

static const char *notplayed_xpm[] =
{
	"13 13 2 1",
	" 	c none",
	"*	c #000000",
	"      *      ",
	"             ",
	" *    *    * ",
	"             ",
	"   *     *   ",
	"             ",
	"* *       * *",
	"             ",
	"   *     *   ",
	"             ",
	" *    *    * ",
	"             ",
	"      *      "
};

static const char *refresh_xpm[] =
{
	"18 14 5 1",
	" 	c none",
	".	c #8C8C8C",
	"+	c #000000",
	"@	c #4B4B4B",
	"#	c #B0B0B0",
	"                  ",
	"      .++         ",
	"     @+.          ",
	"    .+       +    ",
	"    +.      +++   ",
	"   .+#     +++++  ",
	"   +++    +++++++ ",
	" +++++++    +++   ",
	"  +++++     #+.   ",
	"   +++      .+    ",
	"    +       +.    ",
	"          .+@     ",
	"         ++.      ",
	"                  "
};

static const char *resetfilt_xpm[] =
{
	"16 14 8 1",
	" 	c none",
	".	c #0B5264",
	"+	c #B6D8E1",
	"@	c #CCEFF8",
	"#	c #97BAD4",
	"$	c #000000",
	"%	c #9BBED5",
	"&	c #78ACC7",
	"                ",
	"                ",
	" ............   ",
	" .+@+@@+@#@#.   ",
	"  .+@@@@#@#.    ",
	"   .+@@#@#.     ",
	"    .+@@#.      ",
	"     .+#.       ",
	"     .+#. $   $ ",
	"     .+#.  $ $  ",
	"     .%&.   $   ",
	"     ....  $ $  ",
	"          $   $ ",
	"                "
};

/*static const char *tagx_xpm[] =
{
	"8 8 2 1",
	" 	c none",
	"*	c #56718B",
	"**    **",
	"***  ***",
	" ****** ",
	"  ****  ",
	"  ****  ",
	" ****** ",
	"***  ***",
	"**    **"
};*/
static const char *tagx_xpm[] =
{
	"9 9 3 1",
	" 	c none",
	"*	c #56718B",
	"x	c #6C8DA9",
	"xx     xx",
	"x**   **x",
	" *** *** ",
	"  *****  ",
	"   ***   ",
	"  *****  ",
	" *** *** ",
	"x**   **x",
	"xx     xx"
};

static const char *options_xpm[] =
{
"16 16 13 1",
	" 	c none",
	".	c #9D519D",
	"+	c #000000",
	"@	c #C0E2F3",
	"#	c #4BAEE2",
	"$	c #1B80B5",
	"%	c #17658E",
	"&	c #1C719D",
	"*	c #155678",
	"=	c #3992C1",
	"-	c #636363",
	";	c #93CAE5",
	">	c #76AFCB",
	"                ",
	"    .++  ++.    ",
	"    +@#++@#+    ",
	"    +#$##$%+    ",
	" .++#$$&&$$%++. ",
	" +@#$$*++&$$%%+ ",
	" +#$$*+  +&$&%+ ",
	"  +%&+    +=&+  ",
	"  +%&+    +#%+  ",
	" +%$$&+  -;=&*+ ",
	" +%%$$&++;>&**+ ",
	" .++%$$=#=&*++. ",
	"    +*&&%&*+    ",
	"    +**++**+    ",
	"    .++  ++.    ",
	"                "
};

static const char *play_xpm[] =
{
	"7 16 7 1",
	" 	c none",
	".	c #000000",
	"+	c #B7E5B9",
	"@	c #6DD371",
	"#	c #539B56",
	"$	c #55AC59",
	"%	c #518954",
	"       ",
	"       ",
	"..     ",
	".+.    ",
	".@@.   ",
	".#@@.  ",
	".##@@. ",
	".##$@@.",
	".##$%%.",
	".##%%. ",
	".#%%.  ",
	".%%.   ",
	".%.    ",
	"..     ",
	"       ",
	"       "
};

static const char *playfm_xpm[] =
{
	"7 16 7 1",
	" 	c none",
	".	c #000000",
	"+	c #DFF9FF",
	"@	c #ABE2EF",
	"#	c #6EBDD0",
	"$	c #7BD1E6",
	"%	c #508D9C",
	"       ",
	"       ",
	"..     ",
	".+.    ",
	".@@.   ",
	".#@@.  ",
	".##@@. ",
	".##$@@.",
	".##$%%.",
	".##%%. ",
	".#%%.  ",
	".%%.   ",
	".%.    ",
	"..     ",
	"       ",
	"       "
};

static const char *startfm_xpm[] =
{
	"16 16 18 1",
	" 	c none",
	".	c #000000",
	"+	c #DFF9FF",
	"@	c #A8A7A7",
	"#	c #ABE2EF",
	"$	c #6EBDD0",
	"%	c #909090",
	"&	c #6F5100",
	"*	c #FFBA00",
	"=	c #7BD1E6",
	"-	c #FFCB98",
	";	c #508D9C",
	">	c #FAE1C9",
	",	c #EB7A0B",
	"'	c #946C00",
	")	c #E6A904",
	"!	c #707070",
	"~	c #565656",
	"..              ",
	".+.        @    ",
	".##.       .@   ",
	".$##.      ..@  ",
	".$$##.  %..&*.@ ",
	".$$=##.%.-***-.@",
	".$$=;;%.>,.,,.@ ",
	".$$;;..-,. ..@  ",
	".$;;.%'*&  .@   ",
	".;;. .>,.  @ %.%",
	".;.  .*,.    .>.",
	"..   %'*&%  %.*.",
	"      .**&...*,.",
	"      %.,*))*,.%",
	"       %.&,,&.% ",
	"         !~~!   "
};

static const char *viewfile_xpm[] =
{
	"16 16 19 1",
	" 	c none",
	".	c #525252",
	"+	c #FFFFFF",
	"@	c #BAB5FF",
	"#	c #BDB8B8",
	"$	c #000000",
	"%	c #626262",
	"&	c #9F9F9F",
	"*	c #33839A",
	"=	c #9DCFFE",
	"-	c #BBEFFE",
	";	c #6FA3B2",
	">	c #296171",
	",	c #83B8C6",
	"'	c #4D4D4D",
	")	c #727070",
	"!	c #FFD800",
	"~	c #B69C0B",
	"{	c #FFEC85",
	"..........      ",
	".++++++++.      ",
	".+@@+@@@+.      ",
	".++++#$$$$%     ",
	".+@+&*=--;>$    ",
	".++#*-++-;,>%   ",
	".+@$-++=-;,,$   ",
	".++$-+---;,,$   ",
	".+@$-==--;,,$   ",
	".++$-----;,,$   ",
	".+@#*-==-;,>'   ",
	".+++&*---;>)!'  ",
	".+@@+#$$$$'~{!' ",
	".++++++++. '~{!'",
	"..........  '~{!",
	"             '~{"
};

static const char *return_xpm[] =
{
	"9 11 2 1",
	" 	c none",
	".	c #000000",
	"       ..",
	"       ..",
	"       ..",
	"       ..",
	"       ..",
	"  .    ..",
	" ..    ..",
	".........",
	".........",
	" ..      ",
	"  .      "
};

static const char *return_gray_xpm[] =
{
	"9 11 2 1",
	" 	c none",
	".	c #A0A0A0",
	"       ..",
	"       ..",
	"       ..",
	"       ..",
	"       ..",
	"  .    ..",
	" ..    ..",
	".........",
	".........",
	" ..      ",
	"  .      "
};

static const char *menu_radio_xpm[] =
{
	"11 11 3 1",
	" 	c none",
	".	c #A5A5A5",
	"*	c #000000",
	"           ",
	"           ",
	"   .***.   ",
	"  .*****.  ",
	"  *******  ",
	"  *******  ",
	"  *******  ",
	"  .*****.  ",
	"   .***.   ",
	"           ",
	"           "
};

//

static Fl_Pixmap imgStar(star_xpm);
static Fl_Pixmap imgStarHalf(starhalf_xpm);
static Fl_Pixmap imgStarGray(stargray_xpm);
static Fl_Pixmap *imgStars[] =
{
	&imgStarGray,
	&imgStarHalf,
	&imgStar
};

static Fl_Pixmap imgCheck(check_xpm);
static Fl_Pixmap imgProgress(progress_xpm);
static Fl_Pixmap imgNotPlayed(notplayed_xpm);

static Fl_Pixmap imgPrio1(prio1_xpm);
static Fl_Pixmap imgPrio2(prio2_xpm);
static Fl_Pixmap imgPrio3(prio3_xpm);
static Fl_Pixmap *imgPrio[] =
{
	&imgPrio1,
	&imgPrio2,
	&imgPrio3
};

static Fl_Pixmap imgNotAvail(notondisk_xpm);
static Fl_Pixmap imgArchived(archive_xpm);
static Fl_Pixmap imgArchiveInstalled(archive_installed_xpm);

static Fl_Pixmap imgRefresh(refresh_xpm);
static Fl_Pixmap imgResetFilters(resetfilt_xpm);

static Fl_Pixmap imgTagX(tagx_xpm);
static Fl_Pixmap imgOptions(options_xpm);

static Fl_Pixmap imgPlay(play_xpm);
static Fl_Pixmap imgPlayFM(playfm_xpm);
static Fl_Pixmap imgStartFM(startfm_xpm);

static Fl_Pixmap imgViewFile(viewfile_xpm);
static Fl_Pixmap imgReturn(return_xpm);
static Fl_Pixmap imgReturnGray(return_gray_xpm);

static Fl_Pixmap imgMenuRadio(menu_radio_xpm);

static Fl_Image *pImgPlayFMGray = NULL;
static Fl_Image *pImgStartFMGray = NULL;

static Fl_Image *pImgCheckGray = NULL;
static Fl_Image *pImgProgressGray = NULL;
static Fl_Image *pImgNotAvailGray = NULL;
static Fl_Image *pImgArchivedGray = NULL;

static Fl_Image *pImgViewFileGray = NULL;
